---
title: List session sponsors
slug: list-session-sponsors
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors",
  "name": "List speaker assignments",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "language": "200",
        "code": "[\n  {\n    \"data\": [\n      {\n        \"id\": \"15406\",\n        \"type\": \"session-sponsor\",\n        \"attributes\": {\n          \"label\": \"Exhibitors\",\n          \"position\": 1\n        },\n        \"relationships\": {\n          \"sponsor\": {\n            \"data\": {\n              \"id\": \"235711\",\n              \"type\": \"sponsor\"\n            }\n          },\n          \"timeslot\": {\n            \"data\": {\n              \"id\": \"759660\",\n              \"type\": \"timeslot\"\n            }\n          }\n        }\n      }\n    ],\n    \"included\": [\n      {\n        \"id\": \"759660\",\n        \"type\": \"timeslot\",\n        \"attributes\": {\n          \"external-id\": null,\n          \"title\": \"Opening Sessions\",\n          \"reservable\": false,\n          \"duration\": 30,\n          \"location\": null,\n          \"content\": {\n            \"blocks\": [\n              {\n                \"key\": \"e3neb\",\n                \"text\": \"Test\",\n                \"type\": \"unstyled\",\n                \"depth\": 0,\n                \"inlineStyleRanges\": [],\n                \"entityRanges\": [],\n                \"data\": {}\n              }\n            ],\n            \"entityMap\": {}\n          },\n          \"subtitle\": \"\",\n          \"highlight-position\": null,\n          \"stream-link\": null,\n          \"uses-rsvp\": false,\n          \"uses-attendee-list\": false,\n          \"uses-ticket-qr-code\": true,\n          \"uses-rsvp-cancellation\": true,\n          \"uses-ratings\": false,\n          \"attendance-registration-open\": false,\n          \"attendance-cap\": null,\n          \"attendance-registrations-count\": 0,\n          \"organizer-reserved-attendance-slots\": 0,\n          \"color\": null,\n          \"show-sponsor-logo-in-schedule\": false,\n          \"rateable-by\": \"bookmarked_attendees_only\",\n          \"session-sponsors-section-title\": \"Sponsored by\",\n          \"child-sessions-section-title\": \"Session times\",\n          \"start-time\": \"2030-04-30T06:00:00.000Z\",\n          \"end-time\": \"2030-04-30T06:30:00.000Z\",\n          \"parent-timeslot-id\": null,\n          \"sponsor-id\": null,\n          \"main-sponsor\": null,\n          \"tag-order\": [\n            \"264868\",\n            \"264869\",\n            \"264870\",\n            \"264871\",\n            \"264872\"\n          ]\n        },\n        \"relationships\": {\n          \"tags\": {\n            \"data\": [\n              {\n                \"id\": \"264868\",\n                \"type\": \"tag\"\n              },\n              {\n                \"id\": \"264869\",\n                \"type\": \"tag\"\n              },\n              {\n                \"id\": \"264870\",\n                \"type\": \"tag\"\n              },\n              {\n                \"id\": \"264871\",\n                \"type\": \"tag\"\n              },\n              {\n                \"id\": \"264872\",\n                \"type\": \"tag\"\n              }\n            ]\n          },\n          \"locations\": {\n            \"data\": []\n          },\n          \"speaker-assignments\": {\n            \"data\": []\n          },\n          \"tabs\": {\n            \"data\": []\n          },\n          \"attendee-groups\": {\n            \"data\": []\n          },\n          \"custom-fields\": {\n            \"data\": []\n          },\n          \"event\": {\n            \"data\": {\n              \"id\": \"9144\",\n              \"type\": \"event\"\n            }\n          },\n          \"track\": {\n            \"data\": {\n              \"id\": \"35265\",\n              \"type\": \"track\"\n            }\n          }\n        }\n      },\n      {\n        \"id\": \"235711\",\n        \"type\": \"sponsor\",\n        \"attributes\": {\n          \"id\": 235711,\n          \"external-id\": null,\n          \"name\": \"Brella\",\n          \"order\": null,\n          \"logo-url\": \"\",\n          \"cover-image-url\": null,\n          \"website\": null,\n          \"twitter\": null,\n          \"linkedin\": null,\n          \"facebook\": null,\n          \"instagram\": null,\n          \"subtitle\": null,\n          \"industry\": null,\n          \"position\": 406,\n          \"content\": null,\n          \"uses-chat\": null,\n          \"app-sponsor\": false,\n          \"app-sponsor-image-url\": null,\n          \"app-sponsor-label\": null,\n          \"cta-text\": \"Visit booth\",\n          \"uses-analytics\": null,\n          \"lead-scanning-enabled\": true,\n          \"has-automatic-representatives-linking\": true,\n          \"location-country\": null,\n          \"location-state\": null,\n          \"created-at\": \"2025-09-11T06:35:01.148Z\",\n          \"updated-at\": \"2025-09-11T06:35:01.148Z\",\n          \"representatives-linking-method\": \"partial_company_name_match\",\n          \"company-domains\": [],\n          \"chat-channel-id\": null\n        },\n        \"relationships\": {\n          \"category\": {\n            \"data\": {\n              \"id\": \"22267\",\n              \"type\": \"sponsor-category\"\n            }\n          },\n          \"attendees\": {\n            \"data\": []\n          },\n          \"deck-media\": {\n            \"data\": []\n          },\n          \"attachments\": {\n            \"data\": []\n          },\n          \"tabs\": {\n            \"data\": []\n          },\n          \"selected-interests\": {\n            \"data\": []\n          },\n          \"products\": {\n            \"data\": []\n          },\n          \"custom-fields\": {\n            \"data\": []\n          }\n        }\n      }\n    ],\n    \"meta\": {\n      \"total_count\": 1,\n      \"total_pages\": 1,\n      \"current_page\": 1\n    }\n  }\n]",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "8CPkzv6PsEfvF6Xxz4r_H",
        "language": "curl",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "8CPkzv6PsEfvF6Xxz4r_H"
  },
  "description": "List all speaker assignments in an event",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "list-speaker-assignments",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

